Skaffa en supersnabb hemsida hos Loopia med PHP 7.0

Sedan i slutet av oktober har alla nya kunder som använder våra webbhotell placerats på en server med PHP 7.0. Det innebär att din/dina sajter laddas upp till 2-3 gånger snabbare än med PHP 5.6.

Nu ger vi samma möjlighet till dig som är kund hos Loopia sedan tidigare. Nu kan du nämligen enkelt välja vilken PHP-version (5.6 eller 7.0) du vill använda direkt i kundzonen. 

Vad är PHP 7.0?

PHP står för Hypertext Preprocessor och är ett skriptspråk som främst körs på webbservrar för att driva sajter med dynamiskt innehåll (t ex nyhetsflöden, sökmotorer, etc). Här på Loopia erbjuder vi PHP på samtliga av våra UNIX-servrar. Uppdateringen till PHP 7  har inneburit en högre prestanda, nya funktioner och är upp till 2-3 gånger snabbare än tidigare versioner.  

Läs mer om nya funktioner i PHP 7.0 »

Så här väljer du PHP-version i Loopia Kundzon

Observera att detta endast gäller hemsidor placerade på vår UNIX-server (ej Loopia Sitebuilder och Windows).

1. Logga in i din Loopia Kundzon och välj det domännamn du vill byta PHP-version för i listan under “Domännamn”.
2. Under “Konfigurering” klickar du på “Hemsida hos Loopia (ny plattform)”.

3. Välj önskad PHP-version och klicka på “Spara”.

Ska du uppdatera från PHP 5.6 till 7.0? Se över din kod nu

Utvecklarna av PHP 7.0 har ansträngt sig för att göra uppgraderingen från 5.6 till 7.0 så smidig som möjlig. Trots detta rekommenderar vi att du ser över din hemsidas programkod för att försäkra dig om att den fungerar som tidigare. Gör så här:

  • Se till att dina tredjepartsprogram som t ex WordPress och Joomla är uppdaterade till en version som är kompatibel med PHP 7.0. Information om vilka versioner som är kompatibla och inte hittar du på respektive leverantörs hemsida.
  • Se också till att alla tillägg och teman är uppdaterade och kompatibla med PHP 7.0, då det inte alltid sker per automatik.
  • Läs igenom http://php.net/manual/en/migration70.php och stäm av så att du har förberett din hemsida inför uppgraderingen till 7.0. Notera att om du programmerat din sida själv med mysql_*-funktioner behöver du byta dem till mysqli eller PDO.

Har du några frågor eller funderingar?

Loopia Support håller öppet för dig alla dagar om året och du når oss via telefon, e-post och chatt. Kontakta oss »

Dela: Facebooktwittergoogle_pluslinkedinmail

Kommentera

E-postadressen publiceras inte. Obligatoriska fält är märkta *